PONYSAY(6)

NOMBRE
ponysay - Una reimplementación de cowsay usando ponis

SINOPSIS
ponysay [opciones] [--] [mensaje]
ponythink [opciones] [--] [mensaje]

DESCRIPCIÓN

ponysay muestra la imagen de un poni con un texto dado por el usuario, esto dentro de la terminal.
Si el mesaje no es provisto, ponysay aceptará una orden estándar. El mensaje debería de tener alrededor de 40 columnas, y el o la poni devería de mostrar este mensaje en una salida estándar.

Si no se da ningún argumento, el programa solo aceptará mensajes estándares provistos por otros programas, un archivo, ambos o cadena de caracteres (vease man bash(1) para detalles de archivos y cadenas de caracteres.)

ponythink es a ponysay como cowthink es a cowsay.

OPCIONES
El resumen de las opciones está incluido acontinuación.

-h, --help
    Muestra la ayuda, un resumen de las opciones.

-v, --version
    Muestra la versión del programa.

-f, --file, --pony nombre
    Selecciona un poni específico (ya sea un archivo o el nombre directamente), puedes usar esta opción con múltiples ponis y de estos será elejído uno al azar.

+f, ++file, ++pony nombre
    Selecciona un poni no pertenecientes a MLP:FiM (ya sea un archivo o el nombre directamente), puedes usar esta opción con múltiples ponis y de estos será elejído uno al azar.

-F, --any-file, --anyfile, --anypony --any-pony name
    Esta opción combina -f y +f.

-q, --quote [nombre...]
    Usando esta opción un poni será mostrado dando una cita de My Little Pony: Frienship is magic (My Little Pony: La magia de la amistad). Este poni será seleccionado aleatoriamente salvo que uno o varios ponis sean agregados tras la opción -q, en cuyo caso se seleccionará aleatoriamente uno de este conjunto.

--f, --files, --ponies [name...]
    Variable variante de -f, o sea, todos los argumentos dados después de este argumento serán pasados a dicha opción.

++f, ++files, ++ponies [name...]
    Variable variante de +f, o sea, todos los argumentos dados después de este argumento serán pasados a dicha opción.

--F, --any-files, --anyfiles, --anyponies --any-ponies name
    Esta opción combina --f y ++f.

--q, --quotes [name...]
    Viable variante de -q, todos los argumentos dados después de este argumento serán pasados a dicha opción.

-b, --bubble, --ballon style
    Especifica el tipo de globo de texto a utilizar, puede ser la ruta a un archivo o bien uno de las opciones dadas por ponysay -B.

-W, --wrap column
    Las columnas de la pantalla en las que debe presentarse el mensaje, anchura extra del globo se toma en consideración. Si el argumento no es un número, sino que inicia en su lugar con n, no hay ajuste alguno y si comienza con i el ancho de la terminal es tomado.

-c, --compress, --compact [ansi-colour]
    Comprime en mensaje en la misma manera que cowsay, esto es basicamente sin multiples espacios y solo separando párafos.

-l, --list
    Lista los ponis disponibles.

-L, --symlist, --altlist
    Lista los ponis con nombres alternativos dentro de paréntesis.

+l, ++list
    Lista los ponis no pertenecientes a MLP:FiM disponibles.

+L, ++symlist, ++altlist
    Lista los ponis no pertenecientes a MLP:FiM con nombres alternativos dentro de paréntesis.

-B, --bubblelist, --ballonlist style
    Muestra la lista de globos de texto disponibles.

-A. --all
    Lista todos los ponis, tanto pertenecientes a MLP:FiM cono no pertenecientes a esta la primera lista son los pertenecientes a esta y la subsiguente los no pertenecientes.

+A, ++all, --symall, --altall
    Lista todos los ponis incluyendo sus nombres alternativos, estos pertenecientes a MLP:FiM cono no pertenecientes, la primera lista seran los pertenecientes y la subsiguente los no pertenecientes.

-o, --pony-only, --ponyonly
    Solo muestra al poni, No así con los demás elementos.

-i, --info
    Agregando esta opción podrá ver los metadatos del poni mostrado, en lugar del poni.

+i, ++info
    Esta opción funciona como -i, solo que el poni mostrará la información en un globo de texto.

-r, --restriction
    Esta opción limita cuales ponis serán mostrados basados en sus metadatos. Un valor para este argumento es una combinación del nombre de la etiqueta en la forma de NOMBRE=VALOR.

-X, --256-colours, --256colours, --x-colours
    Usa el soporte de 256 colores de xterm (soportado por la mayoría de terminales en X11), indiferente de las capacidades de la terminal.

-V, --tty-colours, --ttycolours, --vt-colours
    Usa la compatibilidad de la terminal VT de Linux sin usar KMS, indiferente de las capacidades de la terminal.

-K, --kms-colours, --kmscolours
    Usa la compatibilidad de la terminal VT de Linux usando KMS, indiferente de las capacidades de la terminal (no funciona en todas las tarjetas con modo KMS).

+c, --colour [ansi-colour]
    Colorea el globo, Incluyendo mensajes y enlaces. Para más información acerca del coloreo vea las páginas info. El argumento o ansi-colour, Puede ser una secuencia de colores ANSI sin precedir de CSI y sin la cola m, por ejemplo 1;31 puede referirse al color rojo y en negrita (o claro dependiendo de la terminal.) --colour-bubble, --colour-ballon [ansi-colour] Trabaja como --colour pero solo colorea el globo de texto.

--colour-link [ansi-colour]
    Trabaja como --colour pero solo colorea en enlace al globo de texto.

--colour-msg, --colour-message [ansi-colour]
    Trabaja como --colour pero solo colorea el texto.

--colour-pony [ansi-colour]
    Trabaja como --colour pero solo colorea el poni. Este coloreo no tiene efecto en archivos pony dado que tienen su propio coloreo.

--colour-wrap, --colour-hyphen [ansi-colour]
    Trabaja como --colour pero solo colorea guiones agregados por la envoluta del texto. Si desea remover el color use 0, por defecto es 31 persistentemente.

ENTORNO

PONYSAY_BOTTOM
    Bajo TTY (Linux VT), si la imagen es mas larga que la anchura de la terminal en pantalla, solo el inicio de esta es impreso, dejando solo dos líneas blancas. si desea que apesar de todo sea impreso el fondo del inicio puede exportar PONYSAY_BOTTOM con el valor yes, y o 1.

PONYSAY_SHELL_LINES
    Bajo TTY (Linux VT), si la imagen es mas larga que la anchura de la terminal en pantalla, solo dos líneas blancas serán impresas. si desea más o menos lineas blancas, puede exportar PONYSAY_SHELL_LINES con el valor de cuantas líneas blancas desea. Naturalmente esto solo tomará efecto si la salida no es mas larga que la pantalla.

PONYSAY_FULL_WIDTH
    Puede exportar PONYSAY_FULL_WIDTH con el valor yes, y o 1, si usted no desea que la salida sea truncada para que calce en la terminal.

PONYSAY_TRUNCATE_HEIGHT
    Exporte PONYSAY_TRUNCATE_HEIGHT con el valor yes, y o 1, si desea truncar la salida en el largo aun si no se está dentro de una terminal ponysay bajo TTY.

PONYSAY_UCS_ME
    Exportar PONYSAY_UCS_ME con el valor yes, y o 1, Si es que busca 'simular enlaces simbólicos' a ponis usando 'Universal Character Set' (Set de caracteres universal) [UCS] apuntando a sus nombres.

PONYSAY_KMS_PALETTE, PONYSAY_KMS_PALETTE_CMD
    PONYSAY_KMS_PALETTE o PONYSAY_KMS_PALETTE_CMD es usado para llamar a ponysay usando la paleta TTY tal cual es, esto es usado para mostrar a las ponis usando la mejor calidad de colores posible si esta bajo TTY y si su video soporta 'Kernel Mode Seting' (KMS) y este está activo.

PONYSAY_TYPO_LIMIT
    ponysay es capaz de autocoregir nombres mal escritos y tipos de globo de texto sin conciderar la transposición de texto, por defecto si la distancia ponderada es mayor a 5 para la palabra más cercana, entonces es ignorada la autocorrección. Este limite puede ser cambiado si se exporta un numero a la variable PONYSAY_TYPO_LIMIT; Dejando este valor en 0 se desactiva la autocorrección.

PONYSAY_WRAP_HYPHEN
    Puede exportar que usara ponysay en lugar del guión cuando se envuelven los mensajes.

Define cuan largo deverá de ser la palabra para que se utilice el guión.
    Esta se utiliza para envolver palabras que son muy largas para que la salida sea lo mejor posible. Esta no es el única condición bajo la cual puede ser cortada una palabra, también puede cortar si la palabra no puede encajar de otra manera.

PONYSAY_WRAP_EXCEED
    Define cuan larga puede llegar a ser una palabra antes de que sea cortada con un guión. Estaopción es usada enconjunto con PONYSAY_WRAP_LIMIT.

BUGs
Los bugs pueden ser reportados en
<https://github.com/erkin/ponysay/issues>.

VEA TAMBIÉN
cowsay(1), fortune(6).

AUTOR
ponysay fue escrito por Erkin Batu Altunbaş <erkinbatu@gmail.com> con la ayuda de Mattias Andrée, Elis Axelsson, Sven-Hendrik Haase, Pablo Lezaeta, Jan Alexander Steffens y otros.

Este manual originalmente fue escrito por Louis Taylor <kragniz@gmail.com> para el proyecto Debian GNU/Linux (y puede ser usado por otros), y editado por Mattias Andrée <maandree@kth.se> para el lanzamiento oficial de ponysay y traducido por Pablo Lezaeta al español.
La actual traducción al español fue escrita por Pablo Lezaeta <prflr88@gmail.com>.

Este programa está licenciado bajo la GNU GPLv3+